mar_gen.h File Reference
`#include <stdint.h>`
`#include <string.h>`
`#include <corosync/corotypes.h>`
`#include <corosync/swab.h>`
Include dependency graph for mar_gen.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | mar_name_t
| mar_name_t struct More...

## Macros

#define | MAR_ALIGN_UP(addr, size)
#define | MAR_TIME_END ((int64_t)0x7fffffffffffffffull)
#define | MAR_TIME_BEGIN 0x0ULL
#define | MAR_TIME_UNKNOWN 0x8000000000000000ULL
#define | MAR_TIME_ONE_MICROSECOND 1000ULL
#define | MAR_TIME_ONE_MILLISECOND 1000000ULL
#define | MAR_TIME_ONE_SECOND 1000000000ULL
#define | MAR_TIME_ONE_MINUTE 60000000000ULL
#define | MAR_TIME_ONE_HOUR 3600000000000ULL
#define | MAR_TIME_ONE_DAY 86400000000000ULL
#define | MAR_TIME_MAX CS_TIME_END
#define | MAR_TRACK_CURRENT 0x01
#define | MAR_TRACK_CHANGES 0x02
#define | MAR_TRACK_CHANGES_ONLY 0x04

## Typedefs

typedef int8_t | mar_int8_t
typedef int16_t | mar_int16_t
typedef int32_t | mar_int32_t
typedef int64_t | mar_int64_t
typedef uint8_t | mar_uint8_t
typedef uint16_t | mar_uint16_t
typedef uint32_t | mar_uint32_t
typedef uint64_t | mar_uint64_t
typedef mar_uint64_t | mar_time_t
| mar_time_t
typedef mar_uint64_t | mar_invocation_t
| mar_invocation_t
typedef mar_uint64_t | mar_size_t
| mar_size_t

## Enumerations

enum | mar_bool_t { MAR_FALSE = 0 , MAR_TRUE = 1 }
| mar_bool_t enum More...

## Macro Definition Documentation

## MAR_ALIGN_UP

#define MAR_ALIGN_UP | ( |  | addr,
|  |  | size )

Value:
(((addr)+((size)-1))&(~((size)-1)))
addr
unsigned char addr[TOTEMIP_ADDRLEN]
Definition coroapi.h:2

Definition at line 44 of file mar_gen.h.

## MAR_TIME_BEGIN

#define MAR_TIME_BEGIN 0x0ULL

Definition at line 254 of file mar_gen.h.

## MAR_TIME_END

#define MAR_TIME_END ((int64_t)0x7fffffffffffffffull)

Definition at line 253 of file mar_gen.h.

## MAR_TIME_MAX

#define MAR_TIME_MAX CS_TIME_END

Definition at line 263 of file mar_gen.h.

## MAR_TIME_ONE_DAY

#define MAR_TIME_ONE_DAY 86400000000000ULL

Definition at line 262 of file mar_gen.h.

## MAR_TIME_ONE_HOUR

#define MAR_TIME_ONE_HOUR 3600000000000ULL

Definition at line 261 of file mar_gen.h.

## MAR_TIME_ONE_MICROSECOND

#define MAR_TIME_ONE_MICROSECOND 1000ULL

Definition at line 257 of file mar_gen.h.

## MAR_TIME_ONE_MILLISECOND

#define MAR_TIME_ONE_MILLISECOND 1000000ULL

Definition at line 258 of file mar_gen.h.

## MAR_TIME_ONE_MINUTE

#define MAR_TIME_ONE_MINUTE 60000000000ULL

Definition at line 260 of file mar_gen.h.

## MAR_TIME_ONE_SECOND

#define MAR_TIME_ONE_SECOND 1000000000ULL

Definition at line 259 of file mar_gen.h.

## MAR_TIME_UNKNOWN

#define MAR_TIME_UNKNOWN 0x8000000000000000ULL

Definition at line 255 of file mar_gen.h.

## MAR_TRACK_CHANGES

#define MAR_TRACK_CHANGES 0x02

Definition at line 266 of file mar_gen.h.

## MAR_TRACK_CHANGES_ONLY

#define MAR_TRACK_CHANGES_ONLY 0x04

Definition at line 267 of file mar_gen.h.

## MAR_TRACK_CURRENT

#define MAR_TRACK_CURRENT 0x01

Definition at line 265 of file mar_gen.h.

## Typedef Documentation

## mar_int16_t

typedef int16_t mar_int16_t

Definition at line 47 of file mar_gen.h.

## mar_int32_t

typedef int32_t mar_int32_t

Definition at line 48 of file mar_gen.h.

## mar_int64_t

typedef int64_t mar_int64_t

Definition at line 49 of file mar_gen.h.

## mar_int8_t

typedef int8_t mar_int8_t

Definition at line 46 of file mar_gen.h.

## mar_invocation_t

typedef mar_uint64_t mar_invocation_t

mar_invocation_t

Definition at line 272 of file mar_gen.h.

## mar_size_t

typedef mar_uint64_t mar_size_t

mar_size_t

Definition at line 286 of file mar_gen.h.

## mar_time_t

typedef mar_uint64_t mar_time_t

mar_time_t

Definition at line 242 of file mar_gen.h.

## mar_uint16_t

typedef uint16_t mar_uint16_t

Definition at line 52 of file mar_gen.h.

## mar_uint32_t

typedef uint32_t mar_uint32_t

Definition at line 53 of file mar_gen.h.

## mar_uint64_t

typedef uint64_t mar_uint64_t

Definition at line 54 of file mar_gen.h.

## mar_uint8_t

typedef uint8_t mar_uint8_t

Definition at line 51 of file mar_gen.h.

## Enumeration Type Documentation

## mar_bool_t

enum mar_bool_t

mar_bool_t enum

Enumerator
MAR_FALSE |
MAR_TRUE |

Definition at line 234 of file mar_gen.h.